/***********************************************************
* Copyright (c) 2009-2010 OpenVox Communication Co.,Ltd.
* All Rights Reserved.	
* Author: mark.liu@openvox.cn
***********************************************************/
#ifndef _EPCS_FLASH_MENU__
#define _EPCS_FLASH_MENU__

#define MENU_MAXI_ITEM_LENGTH	256 // maximum menu item

// menu item strucuture
struct menu_item_s
{
	int	hotkey;	
	char name[MENU_MAXI_ITEM_LENGTH];
	char short_desc[MENU_MAXI_ITEM_LENGTH];
	int device_idx;
};
typedef struct menu_item_s t_menu_item;

// number of the menu items
#define num_of_menu_items( A )	(sizeof(A)/sizeof(A[0]))

enum {
	MENU_CLEAR_FALSE,
	MENU_CLEAR_TRUE,
};

// menu status
enum enum_menu_status{
	MENU_STATUS_NONE,
	MENU_STATUS_1,
	MENU_STATUS_2,
	MENU_STATUS_3,
	MENU_STATUS_4,
};

// display menu by pmenu
void menu_show( t_menu_item *pmenu, int items, int flag);

// menu chooise
int menu_choose(t_menu_item *pmenu, int items);


// add a new menu item
int menu_new_items(t_menu_item *menu_item, int num);

// delete all menu items
int menu_destroy_items(t_menu_item *menu_item);

#endif

